<div class="container mt-4">
  <h4 id="title">Trainings Form</h4>
  <form [formGroup]="trainingsForm" (ngSubmit)="onSubmit()">
    <div class="row mb-3">
      <div class="col-md-4">
        <label for="traineeName" class="form-label"
          >Search by Trainee Name (Optional):</label
        >
        <input
          type="text"
          class="form-control"
          id="traineeName"
          formControlName="traineeName"
          placeholder="Trainee Name"
        />
      </div>
      <div class="col-md-4">
        <label for="dateFrom" class="form-label"
          >Search by Date From (Optional):</label
        >
        <input
          type="date"
          class="form-control"
          id="dateFrom"
          formControlName="dateFrom"
        />
      </div>
      <div class="col-md-4">
        <label for="dateTo" class="form-label"
          >Search by Date To (Optional):</label
        >
        <input
          type="date"
          class="form-control"
          id="dateTo"
          formControlName="dateTo"
        />
      </div>
    </div>

    <button type="submit" class="btn submit-button">Search</button>
  </form>

  <div *ngIf="trainingsList && submitted">
    <div *ngIf="trainingsList.length > 0">
      <h3 class="mt-5">Trainings List</h3>
      <ul class="list-group">
        <li class="list-group-item">
          <div class="row">
            <div class="col-md-2">Training Date</div>
            <div class="col-md-2">Training Name</div>
            <div class="col-md-2">Training Type</div>
            <div class="col-md-2">Trainee's Name</div>
            <div class="col-md-2">Training Duration</div>
          </div>
        </li>
        <li class="list-group-item" *ngFor="let training of trainingsList">
          <div class="row">
            <div class="col-md-2">{{ training.trainingDate }}</div>
            <div class="col-md-2">{{ training.trainingName }}</div>
            <div class="col-md-2">{{ training.trainingType }}</div>
            <div class="col-md-2">{{ training.username }}</div>
            <div class="col-md-2">{{ training.trainingDuration }}</div>
          </div>
        </li>
      </ul>
    </div>
    <div *ngIf="trainingsList.length === 0" class="mt-4">
      <p>No trainings found.</p>
    </div>
  </div>
</div>
